<<< Chronological >>> Author Index    Subject Index <<< Threads >>>

Re: PRIDE tools with PERL5

  • To: (Damir Pobric)
  • From:
  • Date: Wed, 3 Jan 1996 20:17:01 +0100 (MET)

Dear Damir,

> Damir Pobric writes :
>
> Do PRIDE tools work well with PERL5 (under Solaris2.4)?

The PRIDE tools are developed with perl 4. It was hoped that they would
also work with newer versions of perl. Obviously this isn't the case. I
have some patches that seems to let the PRIDE tools work with perl5,
however I didn't have the time to test & package them yet due to other
work that had higher priority. I recommend you to try the tools with
perl4 until I bring out the patch. Note that Solaris has one important
problem: The SOCK_STREAM variable is 2, while other OS's use a value of
1. The SOCK_STREAM variable is used several times in the package and I
know that it is even hardcoded somewhere in the prtraceroute program.
It's easy to find out though by doing a 'grep SOCK *'

If you have any further questions, please don't hesitate to contact me again,

Kind regards,

David Kessens
RIPE NCC


  • Post To The List:
<<< Chronological >>> Author    Subject <<< Threads >>>